
Katello - Bug #5411

Deleting a content view without any packages raises errors

04/23/2014 03:29 PM - David Davis

Status: Closed   

Priority: High   

Assignee: Justin Sherrill   

Category: Content Views   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This happens after a db reset. Basically it looks like the package index never gets created.

Error:

Tire::Search::SearchRequestFailed

404 : {"error":"IndexMissingException[[katello_package] missing]","status":404}

---

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/tire-0.6.2/lib/tire/search.rb:145:in

  `perform'

- /home/dadavis/Projects/katello/app/models/katello/glue/elastic_search/package.rb:240:in

  `indexed_ids_for_repo'

- /home/dadavis/Projects/katello/app/lib/actions/elastic_search/repository/destroy.rb:23:in

  `run'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:424:in

  `block (3 levels) in execute_run'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/middleware/stack.

rb:26:in

  `call'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/middleware/stack.

rb:26:in

  `pass'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/middleware.rb:16:

in

  `pass'

- /home/dadavis/Projects/katello/app/lib/actions/middleware/remote_action.rb:13:in

  `block in run'

- /home/dadavis/Projects/katello/app/lib/actions/middleware/remote_action.rb:39:in

  `block (2 levels) in as_remote_user'

- /home/dadavis/Projects/katello/app/lib/katello/util/thread_session.rb:85:in `set_pulp_config'

- /home/dadavis/Projects/katello/app/lib/actions/middleware/remote_action.rb:29:in

  `as_pulp_user'

- /home/dadavis/Projects/katello/app/lib/actions/middleware/remote_action.rb:38:in

  `block in as_remote_user'

- /home/dadavis/Projects/katello/app/lib/katello/util/thread_session.rb:92:in `set_cp_config'

- /home/dadavis/Projects/katello/app/lib/actions/middleware/remote_action.rb:24:in

  `as_cp_user'

- /home/dadavis/Projects/katello/app/lib/actions/middleware/remote_action.rb:37:in

  `as_remote_user'

- /home/dadavis/Projects/katello/app/lib/actions/middleware/remote_action.rb:13:in

  `run'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/middleware/stack.

rb:22:in

  `call'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/middleware/stack.
rb:26:in

  `pass'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/middleware.rb:16:

in

  `pass'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/action/progress.r

b:30:in

  `with_progress_calculation'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/action/progress.r

b:16:in

  `run'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/middleware/stack.

rb:22:in

  `call'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/middleware/world.

rb:30:in

  `execute'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:424:in

  `block (2 levels) in execute_run'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:423:in

  `catch'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:423:in

  `block in execute_run'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:353:in

  `call'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:353:in

  `block in with_error_handling'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:353:in

  `catch'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:353:in

  `with_error_handling'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:422:in

  `execute_run'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/action.rb:222:in

  `execute'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/execution_plan/st

eps/abstract_flow_step.rb:9:in

  `block (2 levels) in execute'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/execution_plan/st

eps/abstract.rb:141:in

  `call'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/execution_plan/st

eps/abstract.rb:141:in

  `with_meta_calculation'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/execution_plan/st

eps/abstract_flow_step.rb:8:in

  `block in execute'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/execution_plan/st

eps/abstract_flow_step.rb:22:in

  `open_action'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/execution_plan/st

eps/abstract_flow_step.rb:7:in

  `execute'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/executors/paralle

l/worker.rb:20:in

  `block in on_message'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/algebrick-0.4.0/lib/algebrick.rb:859:in

  `block in assigns'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/algebrick-0.4.0/lib/algebrick.rb:858:in

  `tap'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/algebrick-0.4.0/lib/algebrick.rb:858:in

  `assigns'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/algebrick-0.4.0/lib/algebrick.rb:138:in

  `match_value'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/algebrick-0.4.0/lib/algebrick.rb:116:in

  `block in match'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/algebrick-0.4.0/lib/algebrick.rb:115:in
  `each'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/algebrick-0.4.0/lib/algebrick.rb:115:in

  `match'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/executors/paralle

l/worker.rb:17:in

  `on_message'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/micro_actor.rb:82

:in

  `on_envelope'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/micro_actor.rb:72

:in

  `receive'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/micro_actor.rb:99

:in

  `block (2 levels) in run'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/micro_actor.rb:99

:in

  `loop'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/micro_actor.rb:99

:in

  `block in run'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/micro_actor.rb:99

:in

  `catch'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/micro_actor.rb:99

:in

  `run'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/dynflow-0.6.0/lib/dynflow/micro_actor.rb:13

:in

  `block in initialize'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/logging-1.8.2/lib/logging/diagnostic_contex

t.rb:323:in

  `call'

- /home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/logging-1.8.2/lib/logging/diagnostic_contex

t.rb:323:in

  `block in create_with_logging_context'

Associated revisions

Revision e3931337 - 04/25/2014 05:38 PM - Justin Sherrill

Merge pull request #4008 from jlsherrill/search_index

fixes #5411 - precreating backend object search indexes

Revision a92dd6ad - 04/25/2014 09:08 PM - Justin Sherrill

fixes #5411 - precreating backend object search indexes

As part of this, updated the pool object to include BackendIndexedModel

History

#1 - 04/24/2014 09:58 AM - Ivan Necas

Hit this as well when disabling repository without syncing

#2 - 04/24/2014 10:26 PM - David Davis

- Assignee deleted (David Davis)

#3 - 04/25/2014 03:12 PM - Justin Sherrill

- Assignee set to Justin Sherrill

#4 - 04/25/2014 05:52 PM - Justin Sherrill

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:a92dd6adedd767cdde981bc04f56cc6df2700e73.
#5 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes

#6 - 08/22/2014 08:04 AM - Eric Helms

- translation missing: en.field_release set to 13
